<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class ParametrizacoesNoCash {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    public function find($nrorg){
        $return = array();
        
        $params = array(
            'NRORG' =>  $nrorg
        );
        $query = $this->entityManager->getConnection()->fetchAssoc(Utilities\Query::CONSULTA_NOCASH, $params);
        
        return $query;
    }
    
    public function saveNew(object $row){
        $params = [
            'URLLOGO'           =>  $row['URLLOGO'],
            'CORESJSON'         =>  $row['CORESJSON'],
            'URLAPIPAG'         =>  $row['URLAPIPAG'],
            'MERCHANTID'        =>  $row['MERCHANTID'],
            'MERCHANTKEY'       =>  $row['MERCHANTKEY'],
            'PAYMENTCOMPANY'    =>  $row['PAYMENTCOMPANY'],
            'HABCADASTRO'       =>  $row['HABCADASTRO'],
            'NUMEROAJUDA'       =>  $row['NUMEROAJUDA'],
            'MAILFALE'          =>  $row['MAILFALE'],
            'RECSENHAMSG'       =>  $row['RECSENHAMSG'],
            'IDIOMAPRINC'       =>  $row['IDIOMAPRINC'],
            'IDIOMAADIC'        =>  $row['IDIOMAADIC'],
            'NRORG'             =>  $row['NRORG'],
            'IDATIVO'           =>  'S',
            'DTULTATU'          =>  NULL,
            'NRORGINCLUSAO'     =>  NULL,
            'CDOPERINCLUSAO'    =>  '1',
            'NRORGINCLUSAO'     =>  NULL,
            'CDOPERINCLUSAO'    =>  NULL,
            'NRORGINCLUSAO'     =>  $row['NRORG']
        ];
        
        $this->entityManager->getConnection()->executeQuery(Utilities\Query::SAVE_PARAM_NOCASH, $params);
    }
    
    public function update(object $row){
        $params = [
            'URLLOGO'           =>  $row['URLLOGO'],
            'CORESJSON'         =>  $row['CORESJSON'],
            'URLAPIPAG'         =>  $row['URLAPIPAG'],
            'MERCHANTID'        =>  $row['MERCHANTID'],
            'MERCHANTKEY'       =>  $row['MERCHANTKEY'],
            'PAYMENTCOMPANY'    =>  $row['PAYMENTCOMPANY'],
            'HABCADASTRO'       =>  $row['HABCADASTRO'],
            'NUMEROAJUDA'       =>  $row['NUMEROAJUDA'],
            'MAILFALE'          =>  $row['MAILFALE'],
            'RECSENHAMSG'       =>  $row['RECSENHAMSG'],
            'IDIOMAPRINC'       =>  $row['IDIOMAPRINC'],
            'IDIOMAADIC'        =>  $row['IDIOMAADIC'],
            'NRORG'             =>  $row['NRORG'],
            'CDOPERINCLUSAO'    =>  '1',
            'NRORGULTATU'       =>  $row['NRORG'],
            'CDOPERULTATU'      =>  '1'
        ];
        
        $this->entityManager->getConnection()->executeQuery(Utilities\Query::UPDATE_NOCASHPARAMS, $params);
    }
    
    public function selectFileServerUrl($nrorg){
        $param = [
            'NRORG' =>  $nrorg];
        
        return $this->entityManager->getConnection()->fetchAssoc(Utilities\Query::SELECT_FILESERVERURL, $param);
    }

}

